<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

echo '<img src="../images/img/partners.gif" alt=""> <b>Выбор ника</b><br><br>';

$nickname = check(trim($_POST['nickname']));

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {

if ($config_includenick==1){

if ($udata[36]>=150){
if ($udata[75]<$sitetime){

if ($nickname==""){ 	
//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[14] = $ip;
$udata[65] = "";
$udata[75] = $sitetime + 86400;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if ($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
flock($fp,LOCK_EX);   
ftruncate($fp,0);                                                                 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
} 

header ("Location: ../index.php?isset=delnick&".SID); exit;
}

//------------------------------------------------------------------------------//
if (preg_match('|^[0-9a-zA-Zа-яА-ЯЁё_\.\-\s]+$|u', $nickname)){
if (utf_strlen(trim($nickname))<=20 && utf_strlen(trim($nickname))>=3){

$regfile=file(BASEDIR."local/datatmp/reguser.dat");
foreach($regfile as $regvalue){
$data = explode("|",$regvalue);
$reguserlogin[]=$data[1];
$regusernick[]=$data[3];
}

$filel = file(BASEDIR."local/blacklogin.dat","a+");
foreach($filel as $valuel){
$datal=explode("|",$valuel);
$arraylogin[]=$datal[1];
}


//------------------- Проверка на уникальность ника ----------------------//
if (!in_array($nickname,$arraylogin)){
if (!in_array(rus_utf_tolower($nickname),$reguserlogin)){	
if (!in_array(rus_utf_tolower($nickname),$regusernick)){	

//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[14] = $ip;
$udata[65] = $nickname;
$udata[75] = $sitetime + 86400;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if ($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
flock($fp,LOCK_EX);   
ftruncate($fp,0);                                                                 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
} 

header ("Location: ../index.php?isset=editnick&".SID);  exit;

} else { echo '<b>К сожалению выбранный вами ник уже занят!</b><br>';} 
} else { echo '<b>К сожалению выбранный вами ник используется кем-то в качестве логина!</b><br>';}
} else { echo '<b>К сожалению выбранный вами ник занесен в черный список!</b><br>';} 
} else { echo '<b>Ошибка, слишком длинный или короткий ник!</b><br>';}
} else { echo '<b>Вы ввели недопустимые символы, разрешены символы русского и латинского алфавита, а также цифры!</b><br>';}
} else { echo '<b>Изменять ник можно не чаще чем 1 раз в сутки</b><br>';}
} else { echo '<b>У вас недостаточно баллов для изменения ника!</b><br>';}
} else { echo '<b>Ошибка, изменение ника запрещено администрацией сайта!</b><br>'; }

} else {
echo '<br>Вы не авторизованы, чтобы изменять свой ник, необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br>';
}    
          
echo'<br><img src="../images/img/back.gif" alt=""> <a href="profil.php?'.SID.'">Вернуться</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

include_once"../themes/$config_themes/foot.php";
?>